using System;

namespace Nesusedni
{
    class Program
    {
        static void Main(string[] args)
        {
            string slova = Console.ReadLine();
            string[] ulaz = Console.ReadLine().Split();
            int a1 = Convert.ToInt32(ulaz[0]);
            int a2 = Convert.ToInt32(ulaz[1]);
            if (a1 == a2)
            {
                for (int i = 0; i < a1 + a2; i++)
                {
                    if (i % 2 == 0) Console.Write(slova[0]);
                    else Console.Write(slova[1]);
                }
            }
            else if (a1 == a2 - 1)
            {
                for (int i = 0; i < a1 + a2; i++)
                {
                    if (i % 2 == 0) Console.Write(slova[1]);
                    else Console.Write(slova[0]);
                }
            }
            else if (a2 == a1 - 1)
            {
                for (int i = 0; i < a1 + a2; i++)
                {
                    if (i % 2 == 0) Console.Write(slova[0]);
                    else Console.Write(slova[1]);
                }
            }
            else Console.WriteLine("nemoguce");
        }
    }
}